import {IUserData} from "@/interfaces/userdata.interface";

// -----   Request    -----

export interface IApiRegisterReq {
	firstName: string;
	lastName: string;
  pseudo: string;
  city: string;
  email: string;
  password: string;
  age: number;
}

export interface IApiLoginReq {
	email: string;
	password: string;
}


// -----   Response   -----

export interface IAbstractApiResponse {
	message?: Array<string>;
	error?: string;
	statusCode?: number
}

export interface IApiRegisterRes extends IAbstractApiResponse {
	access_token?: string;
	user?: IUserData
}

export interface IApiLoginRes extends IAbstractApiResponse {
	access_token?: string
}